{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}

{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ path('admin.products') }}">Products</a></li>
        <li class="breadcrumb-item active">{{ product.name }}</li>
    </ol>
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-sm-12 col-xl-3">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-align-justify"></i> Controls
                </div>
                <div class="card-body">
                    <div class="controls">
                        <a href="{{ path('admin.products.edit', {'id': product.id}) }}" class="btn btn-primary">Edit</a>
                        <a href="{{ path('admin.products.image.attach', {'id': product.id}) }}" class="btn btn-primary">Attach Image</a>
                        <form action="{{ path('admin.products.delete', {'id': product.id}) }}" method="post" onsubmit="return confirm('Are you sure?')">
                            <input type="hidden" name="token" value="{{ csrf_token('delete') }}" />
                            <button type="submit" class="btn btn-sm btn-danger">Delete</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-header">
            <i class="fa fa-align-justify"></i> Product
        </div>
        <div class="card-body">
            <div class="box">
                <table class="table table-bordered">
                    <tbody>
                    <tr>
                        <th>Name</th>
                        <td>{{ product.name }}</td>
                    </tr>
                    <tr>
                        <th>Description</th>
                        <td>{{ product.description }}</td>
                    </tr>
                    <tr>
                        <th>Price</th>
                        <td>{{ product.price }}</td>
                    </tr>
                    <tr>
                        <th>Sex</th>
                        <td>{{ product.sex }}</td>
                    </tr>
                    <tr>
                        <th>Color</th>
                        <td>{{ product.color }}</td>
                    </tr>
                    <tr>
                        <th>Size</th>
                        <td>{{ product.size }}</td>
                    </tr>
                    <tr>
                        <th>Season</th>
                        <td>{{ product.season }}</td>
                    </tr>
                    <tr>
                        <th>Category</th>
                        <td>{{ product.subcategory.category.name }}->{{ product.subcategory.name }}</td>
                    </tr>
                    <tr>
                        <th>Brand</th>
                        <td>{{ product.brand.name }}</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            {% if product.images %}
                <div class="box">
                    <table class="table table-bordered mb-0">
                        <tbody>
                        {% set token = csrf_token('deleteImage') %}
                        {% for image in product.images %}
                            <tr>
                                <th>{{ image.name }}</th>
                                <td>{{ image.path }}</td>
                            </tr>
                            <tr>
                                <div class="delImage">
                                    <a href="{{ asset('uploads/images/product/product/' ~ product.name ~ '/' ~ image.name) }}"
                                       target="_blank">
                                        <img src="{{ asset('uploads/images/product/product/' ~ product.name ~ '/' ~ image.name) | imagine_filter('my_thumb') }}"
                                             alt="{{ product.name }}">
                                    </a>
                                    <form action="{{ path('admin.products.image.delete', {'id': image.id}) }}" method="post" onsubmit="return confirm('Are you sure?')">
                                        <input type="hidden" name="token" value="{{ token }}"/>
                                        <button type="submit" class="btn btn-sm btn-danger"><span
                                                    class="fa fa-trash"></span>
                                        </button>
                                    </form>
                                </div>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
        </div>
    </div>

{% endblock %}